|  | Home · All Classes · Modules

# Qt.KeyboardModifiers Class Reference
[QtCore module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, KeyboardModifiers)

### Special Methods

- KeyboardModifiers __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, KeyboardModifiers f)
- KeyboardModifiers __iand__ (self, int f)
- int __int__ (self)
- KeyboardModifiers __invert__ (self)
- KeyboardModifiers __ior__ (self, int f)
- KeyboardModifiers __ixor__ (self, int f)
- bool __ne__ (self, KeyboardModifiers f)
- KeyboardModifiers __or__ (self, int f)
- KeyboardModifiers __xor__ (self, int f)

## Detailed Description

KeyboardModifier may be used whenever KeyboardModifiers is expected.

## Method Documentation

### KeyboardModifiers.__init__ (self)

### KeyboardModifiers.__init__ (self, int f)

### KeyboardModifiers.__init__ (self, KeyboardModifiers)

### KeyboardModifiers KeyboardModifiers.__and__ (self, int f)

### int KeyboardModifiers.__bool__ (self)

### bool KeyboardModifiers.__eq__ (self, KeyboardModifiers f)

### KeyboardModifiers KeyboardModifiers.__iand__ (self, int f)

### int KeyboardModifiers.__int__ (self)

### KeyboardModifiers KeyboardModifiers.__invert__ (self)

### KeyboardModifiers KeyboardModifiers.__ior__ (self, int f)

### KeyboardModifiers KeyboardModifiers.__ixor__ (self, int f)

### bool KeyboardModifiers.__ne__ (self, KeyboardModifiers f)

### KeyboardModifiers KeyboardModifiers.__or__ (self, int f)

### KeyboardModifiers KeyboardModifiers.__xor__ (self, int f)